Serial devices
Implementation internals » Device handling

Serial device interface. More...

## Functions

static void | get_serial_info (hd_data_t *hd_data)
static serial_t * | add_serial_entry (serial_t **ser, serial_t *new_ser)
static void | dump_serial_data (hd_data_t *hd_data)
void | hd_scan_serial (hd_data_t *hd_data)

## Variables

static char * | ser_names []

## Detailed Description

Serial device interface.

## Function Documentation

## add_serial_entry()

serial_t * add_serial_entry | ( | serial_t ** | ser,
|  | serial_t * | new_ser )

static

References s_serial_t::next.

Referenced by get_serial_info().

## dump_serial_data()

void dump_serial_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, s_serial_t::baud, hd_data, s_serial_t::irq, s_serial_t::line, s_serial_t::name, s_serial_t::next, and s_serial_t::port.

Referenced by hd_scan_serial().

## get_serial_info()

void get_serial_info | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_serial_entry(), s_serial_t::baud, s_serial_t::device, free_str_list(), hd_data, HD_DEB_SERIAL, s_serial_t::irq, s_serial_t::line, s_serial_t::name, new_mem(), new_str(), s_str_list_t::next, s_serial_t::port, PROC_DRIVER_MACSERIAL, PROC_DRIVER_SERIAL, read_file(), and s_str_list_t::str.

Referenced by hd_scan_serial().

## hd_scan_serial()

void hd_scan_serial | ( | hd_data_t * | hd_data | ) |

References acc_rw, res_io_t::access, add_hd_entry(), add_res_entry(), u_hd_res_t::any, res_io_t::base, res_irq_t::base, s_hd_t::base_class, s_serial_t::baud, u_hd_res_t::baud, bc_comm, s_hd_t::device, s_serial_t::device, dump_serial_data(), res_io_t::enabled, res_irq_t::enabled, free_mem(), free_str_list(), s_hd_t::func, get_cmdline(), get_serial_info(), hd_data, HD_DEB_SERIAL, hd_module_is_active(), hd_probe_feature(), hd_id_t::id, u_hd_res_t::io, s_serial_t::irq, u_hd_res_t::irq, s_serial_t::line, MAKE_ID, mod_serial, hd_id_t::name, s_serial_t::name, new_mem(), new_str(), s_hd_t::next, s_serial_t::next, s_str_list_t::next, u_hd_res_t::next, s_serial_t::port, pr_serial, s_hd_t::prog_if, PROGRESS, res_io_t::range, remove_hd_entries(), s_hd_t::res, res_baud, res_io, res_irq, sc_com_ser, s_hd_t::tag_s::ser_device, ser_names, s_hd_t::tag_s::skip_braille, s_hd_t::tag_s::skip_modem, s_hd_t::tag_s::skip_mouse, res_baud_t::speed, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::tag, TAG_PCI, res_any_t::type, res_baud_t::type, res_io_t::type, res_irq_t::type, s_hd_t::unix_dev_name, and s_hd_t::vendor.

Referenced by hd_scan_no_hal().

## Variable Documentation

## ser_names

char* ser_names[]

static

Initial value:
= {
"8250", "16450", "16550", "16650", "16750", "16850", "16950"
}

Referenced by hd_scan_serial().